open Format;;

open Abstract;;

open Pp;;

open Clause;;
open Hornpp;;

let rec prologpp_clause sl { cl_neg = negl; cl_pos = posl } =
  open_box 2;
  pp_list (hornpp_literal "" sl) comma_sep posl;
  print_space (); print_string ":-"; print_space ();
  pp_list (hornpp_literal "" sl) comma_sep negl;
  close_box ()
and prologpp_tclause sl = function
    AXIOM c 
  | CONJ c ->
      prologpp_clause sl c
  | COMMENT s ->
      print_newline ();      
      print_string ("// "^s);
      print_newline ();;

(* let prologpp_spec sp = 
 *  let sl = symbollist_of_spec sp in
 *  let clauses = horn_spec sl sp in
 *    print_newline ();
 *    pp_list (prologpp_tclause sl) newline2_sep clauses;
 *    print_newline ();; *)

