
open Abstract;;
open Symbols;;
open Pp;;

open Clause;;
open Hornpp;;


(** [tptppp_clause sl c] 
  pretty prints the given clause [c] in the TPTP format,
  using the given symbol list [sl]. *)
val tptppp_clause : eva_symbol_list -> clause -> unit


(** [tptppp_tclauses sl cl]
  pretty prints the given list of tclause [cl] in the TPTP format, 
  using the given symbol list [sl]. *)
val tptppp_tclauses : eva_symbol_list -> tclause list -> unit


(** pretty print the given specification 
  as a set of Horn clauses in TPTP format. *)
(* val tptppp_spec : eva_symbol_list -> eva_spec -> unit *)
